#include <libosso-abook/osso-abook-contact-chooser.h>
#include <gdk/gdk.h>
#include <gdk/gdkx.h>
#include <X11/Xlib.h>

static void
response_cb (GtkWidget *chooser, gint response_id, gpointer data)
{
  gtk_widget_hide(chooser);

  GList *contacts = osso_abook_contact_chooser_get_selection(chooser);
  g_list_free(contacts);
  g_object_unref(chooser);
}

void tst(uintptr_t anid)
{
  GtkWidget *chooser = osso_abook_contact_chooser_new(NULL, NULL);

  gtk_widget_realize(chooser);
  XSetTransientForHint(gdk_x11_drawable_get_xdisplay(chooser->window),
                       gdk_x11_drawable_get_xid(chooser->window),
                       anid);

  osso_abook_contact_chooser_set_maximum_selection(
        OSSO_ABOOK_CONTACT_CHOOSER(chooser), 1);
  osso_abook_contact_chooser_set_minimum_selection(
        OSSO_ABOOK_CONTACT_CHOOSER(chooser), 1);
  g_signal_connect(chooser, "response",
                   G_CALLBACK(response_cb), NULL);

  gtk_widget_show_all(chooser);
}
